OpenLP doesn't work with Ubuntu 22.02

Hi, OpenLP doesn't work on Ubuntu 22.02.

I tried to download and install the newest version I could find (2.9.5.-1-all), but it crashed.

Any suggestions?

******************

Terminal output:

/usr/share/openlp/openlp/core/utils/languagemanager.py:96: FutureWarning: Possible nested set at position 1

 if re.match(r'[[].*[]]', language):

QObject: Cannot create children for a parent that is in a different thread.

(Parent is QTextDocument(0x7f3ebc0193e0), parent's thread is ImageThread(0x55cac7fb37f0), current thread is QThread(0x55cac69978a0)

QObject::connect: Cannot queue arguments of type 'QTextCursor'

(Make sure 'QTextCursor' is registered using qRegisterMetaType().)

QBasicTimer::start: Timers cannot be started from another thread

Error in sys.excepthook:

Traceback (most recent call last):

 File "/usr/share/openlp/openlp/core/ui/mainwindow.py", line 823, in paintEvent

   self.preview_controller.preview_size_changed()

 File "/usr/share/openlp/openlp/core/ui/slidecontroller.py", line 625, in preview_size_changed

   max_width = self.preview_frame.width() - self.grid.contentsMargins().top() * 2

AttributeError: 'PreviewController' object has no attribute 'grid'

The above exception was the direct cause of the following exception:

SystemError: <class 'PyQt5.QtGui.QPaintEvent'> returned a result with an exception set

The above exception was the direct cause of the following exception:

SystemError: <class 'PyQt5.QtGui.QPaintEvent'> returned a result with an exception set

The above exception was the direct cause of the following exception:

SystemError: <class 'PyQt5.QtCore.QEvent'> returned a result with an exception set


The above exception was the direct cause of the following exception:


SystemError: <class 'PyQt5.QtCore.QEvent'> returned a result with an exception set

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

 File "/usr/share/openlp/openlp/core/__init__.py", line 226, in hook_exception

   self.set_normal_cursor()

 File "/usr/share/openlp/openlp/core/__init__.py", line 292, in set_normal_cursor

   self.processEvents()

SystemError: <built-in method processEvents of OpenLP object at 0x7f3f80ad70a0> returned a result with an exception set

Original exception was:

Traceback (most recent call last):

 File "/usr/bin/openlp", line 44, in <module>

   main()

 File "/usr/share/openlp/openlp/core/__init__.py", line 437, in main

   sys.exit(application.run(qt_args))

 File "/usr/share/openlp/openlp/core/__init__.py", line 145, in run

   self.main_window.show()

 File "/usr/share/openlp/openlp/core/ui/mainwindow.py", line 632, in show

   if self.live_controller.display.isVisible():

AttributeError: 'NoneType' object has no attribute 'isVisible'

Speicherzugriffsfehler (Speicherabzug geschrieben)

Sign In or Register to comment.